# salt.returners.local_cache

Return data to local job cache

salt.returners.local_cache.clean_old_jobs()

  Clean out the old jobs from the job cache

salt.returners.local_cache.get_endtime(jid)

  Retrieve the stored endtime for a given job

  Returns False if no endtime is present

salt.returners.local_cache.get_jid(jid)

  Return the information returned when the specified job id was executed

salt.returners.local_cache.get_jids()

  Return a dict mapping all job ids to job information

salt.returners.local_cache.get_jids_filter(count, filter_find_job=True)

  Return a list of all jobs information filtered by the given criteria. :param int count: show not more than the count of most recent jobs :param bool filter_find_jobs: filter out 'saltutil.find_job' jobs

salt.returners.local_cache.get_load(jid)

  Return the load data that marks a specified jid

salt.returners.local_cache.load_reg()

  Load the register from msgpack files

salt.returners.local_cache.prep_jid(nocache=False, passed_jid=None, recurse_count=0)

  Return a job id and prepare the job id directory.

  This is the function responsible for making sure jids don't collide (unless it is passed a jid). So do what you have to do to make sure that stays the case

salt.returners.local_cache.returner(load)

  Return data to the local job cache

salt.returners.local_cache.save_load(jid, clear_load, minions=None, recurse_count=0)

  Save the load to the specified jid

  minions argument is to provide a pre-computed list of matched minions for the job, for cases when this function can't compute that list itself (such as for salt-ssh)

salt.returners.local_cache.save_minions(jid, minions, syndic_id=None)

  Save/update the serialized list of minions for a given job

salt.returners.local_cache.save_reg(data)

  Save the register to msgpack files

salt.returners.local_cache.update_endtime(jid, time)

  Update (or store) the end time for a given job

  Endtime is stored as a plain text string